pcl::PosesFromMatches::PoseEstimate Struct Reference

A result of the pose estimation process. More...

`#include <pcl/common/poses_from_matches.h>`

## Classes

struct | IsBetter

## Public Member Functions

| PoseEstimate ()

## Public Attributes

Eigen::Affine3f | transformation
| The estimated transformation between the two coordinate systems. More...
float | score
| An estimate in [0,1], how good the estimated pose is. More...
std::vector< int > | correspondence_indices
| The indices of the used correspondences. More...

## Detailed Description

A result of the pose estimation process.

Definition at line 69 of file poses_from_matches.h.

## Constructor & Destructor Documentation

pcl::PosesFromMatches::PoseEstimate::PoseEstimate | ( |  | ) |

inline

Definition at line 71 of file poses_from_matches.h.

## Member Data Documentation

std::vector<int> pcl::PosesFromMatches::PoseEstimate::correspondence_indices

The indices of the used correspondences.

Definition at line 79 of file poses_from_matches.h.

float pcl::PosesFromMatches::PoseEstimate::score

An estimate in [0,1], how good the estimated pose is.

Definition at line 78 of file poses_from_matches.h.

Referenced by pcl::PosesFromMatches::PoseEstimate::IsBetter::operator()().

Eigen::Affine3f pcl::PosesFromMatches::PoseEstimate::transformation

The estimated transformation between the two coordinate systems.

Definition at line 77 of file poses_from_matches.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/poses_from_matches.h